## aerc 0.3.0

=== Makefile ===
.POSIX:
.SUFFIXES:
.SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd

VERSION=0.3.0

VPATH=doc
PREFIX?=/usr/local
_INSTDIR=$(DESTDIR)$(PREFIX)
BINDIR?=$(_INSTDIR)/bin
SHAREDIR?=$(_INSTDIR)/share/aerc
MANDIR?=$(_INSTDIR)/share/man
GO?=go
GOFLAGS?=

GOSRC!=find . -name '*.go'
GOSRC+=go.mod go.sum

aerc: $(GOSRC)
	$(GO) build $(GOFLAGS) \
		-ldflags "-X main.Prefix=$(PREFIX) \
		-X main.ShareDir=$(SHAREDIR) \
		-X main.Version=$(VERSION)" \
		-o $@

aerc.conf: config/aerc.conf.in
	sed -e 's:@SHAREDIR@:$(SHAREDIR):g' > $@ < config/aerc.conf.in

DOCS := \
	aerc.1 \
	aerc-search.1 \
	aerc-config.5 \
	aerc-imap.5 \
	aerc-maildir.5 \
	aerc-sendmail.5 \
	aerc-notmuch.5 \
	aerc-smtp.5 \
	aerc-tutorial.7 \
	aerc-templates.7

.1.scd.1:
	scdoc < $< > $@

.5.scd.5:
	scdoc < $< > $@

.7.scd.7:
	scdoc < $< > $@

doc: $(DOCS)

all: aerc aerc.conf doc

# Exists in GNUMake but not in NetBSD make and others.
RM?=rm -f

clean:
	$(RM) $(DOCS) aerc.conf aerc

install: all
	mkdir -p $(BINDIR) $(MANDIR)/man1 $(MANDIR)/man5 $(MANDIR)/man7 \
		$(SHAREDIR) $(SHAREDIR)/filters $(SHAREDIR)/templates
	install -m755 aerc $(BINDIR)/aerc
	install -m644 aerc.1 $(MANDIR)/man1/aerc.1
	install -m644 aerc-search.1 $(MANDIR)/man1/aerc-search.1
	install -m644 aerc-config.5 $(MANDIR)/man5/aerc-config.5
	install -m644 aerc-imap.5 $(MANDIR)/man5/aerc-imap.5
	install -m644 aerc-maildir.5 $(MANDIR)/man5/aerc-maildir.5
	install -m644 aerc-sendmail.5 $(MANDIR)/man5/aerc-sendmail.5
	install -m644 aerc-notmuch.5 $(MANDIR)/man5/aerc-notmuch.5
	install -m644 aerc-smtp.5 $(MANDIR)/man5/aerc-smtp.5
	install -m644 aerc-tutorial.7 $(MANDIR)/man7/aerc-tutorial.7
	install -m644 aerc-templates.7 $(MANDIR)/man7/aerc-templates.7
	install -m644 config/accounts.conf $(SHAREDIR)/accounts.conf
	install -m644 aerc.conf $(SHAREDIR)/aerc.conf
	install -m644 config/binds.conf $(SHAREDIR)/binds.conf
	install -m755 filters/hldiff $(SHAREDIR)/filters/hldiff
	install -m755 filters/html $(SHAREDIR)/filters/html
	install -m755 filters/plaintext $(SHAREDIR)/filters/plaintext
	install -m644 templates/quoted_reply $(SHAREDIR)/templates/quoted_reply
	install -m644 templates/forward_as_body $(SHAREDIR)/templates/forward_as_body

RMDIR_IF_EMPTY:=sh -c '\
if test -d $$0 && ! ls -1qA $$0 | grep -q . ; then \
	rmdir $$0; \
fi'

uninstall:
	$(RM) $(BINDIR)/aerc
	$(RM) $(MANDIR)/man1/aerc.1
	$(RM) $(MANDIR)/man5/aerc-config.5
	$(RM) $(MANDIR)/man5/aerc-imap.5
	$(RM) $(MANDIR)/man5/aerc-maildir.5
	$(RM) $(MANDIR)/man5/aerc-sendmail.5
	$(RM) $(MANDIR)/man5/aerc-notmuch.5
	$(RM) $(MANDIR)/man5/aerc-smtp.5
	$(RM) $(MANDIR)/man7/aerc-tutorial.7
	$(RM) -r $(SHAREDIR)
	${RMDIR_IF_EMPTY} $(BINDIR)
	$(RMDIR_IF_EMPTY) $(MANDIR)/man1
	$(RMDIR_IF_EMPTY) $(MANDIR)/man5
	$(RMDIR_IF_EMPTY) $(MANDIR)/man7
	$(RMDIR_IF_EMPTY) $(MANDIR)

.DEFAULT_GOAL := all

.PHONY: all doc clean install uninstall

=== debian/changelog ===
aerc (0.3.0-2) unstable; urgency=medium

  * Remove build paths embedded in final package (Closes: #963717)

 -- Ben Fiedler <debian@services.bfiedler.ch>  Sun, 28 Jun 2020 20:19:02 +0200

aerc (0.3.0-1) unstable; urgency=medium

  * Initial release (Closes: #947962)

 -- Ben Fiedler <debian@services.bfiedler.ch>  Tue, 21 Apr 2020 20:41:56 +0200

=== debian/control ===
Source: aerc
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Karthik <kskarthik@disroot.org>, Ben Fiedler <debian@services.bfiedler.ch>
Section: devel
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-golang,
               golang-any,
               golang-github-danwakefield-fnmatch-dev,
               golang-github-ddevault-go-libvterm-dev,
               golang-github-creack-pty-dev,
               golang-github-emersion-go-imap-dev,
               golang-github-emersion-go-imap-idle-dev,
               golang-github-emersion-go-maildir-dev,
               golang-github-emersion-go-message-dev,
               golang-github-emersion-go-sasl-dev,
               golang-github-emersion-go-smtp-dev,
               golang-github-emersion-go-textwrapper-dev,
               golang-github-gdamore-tcell-dev,
               golang-github-fsnotify-fsnotify-dev,
               golang-github-go-ini-ini-dev,
               golang-github-google-shlex-dev,
               golang-github-kyoh86-xdg-dev,
               golang-github-martinlindhe-base36-dev,
               golang-github-mattn-go-isatty-dev,
               golang-github-mattn-go-runewidth-dev,
               golang-github-miolini-datacounter-dev,
               golang-github-mitchellh-go-homedir-dev,
               golang-github-pkg-errors-dev,
               golang-github-riywo-loginshell-dev,
               golang-github-stretchr-testify-dev,
               golang-github-zenhack-go.notmuch-dev,
               golang-golang-x-oauth2-google-dev,
               golang-sourcehut-sircmpwn-getopt-dev,
               libnotmuch-dev,
               scdoc,
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
Homepage: https://aerc-mail.org
Rules-Requires-Root: no
XS-Go-Import-Path: git.sr.ht/~sircmpwn/aerc

Package: aerc
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: dante-client,
            w3m,
Suggests: notmuch
Built-Using: ${misc:Built-Using}
Description: The World's Best Email Client
 Some of its more interesting features include:
  - Editing emails in an embedded terminal tmux-style, allowing you to check on
    incoming emails and reference other threads while you compose your replies
  - Render HTML emails with an interactive terminal web browser, highlight
    patches with diffs, and browse with an embedded less session
  - Vim-style keybindings and ex-command system, allowing for powerful
    automation at a single keystroke
  - First-class support for working with git & email
  - Open a new tab with a terminal emulator and a shell running for easy access
    to nearby git repos for parallel work
  - Support for multiple accounts, with support for IMAP, Maildir, SMTP, and
    sendmail transfer protocols
  - Asynchronous IMAP support ensures the UI never gets locked up by a flaky
    network, as mutt often does
  - Efficient network usage - aerc only downloads the information which is
    necessary to present the UI, making for a snappy and bandwidth-efficient
    experience 100% free and open source software!

=== debian/rules ===
#!/usr/bin/make -f

# Installation paths
export DESTDIR=$(CURDIR)/debian/aerc
export PREFIX=/usr

# Go options
export GO111MODULE=off
export GOPROXY=off
export GOCACHE=$(CURDIR)/_build/go-build
export GOPATH=$(CURDIR)/_build
export GOFLAGS=-tags=notmuch -buildmode=pie

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure
	cp Makefile _build/src/git.sr.ht/~sircmpwn/aerc/
	cp -r doc filters templates _build/src/git.sr.ht/~sircmpwn/aerc/
	cp config/*.conf* _build/src/git.sr.ht/~sircmpwn/aerc/config/

override_dh_auto_build:
	cd _build/src/git.sr.ht/~sircmpwn/aerc && make

override_dh_auto_install:
	cd _build/src/git.sr.ht/~sircmpwn/aerc && make install

=== debian/watch ===
version=4
https://git.sr.ht/~sircmpwn/aerc/refs /~sircmpwn/aerc/archive/(\d\S*)\.tar\.gz

## aerc 0.8.2

=== Makefile ===
.POSIX:
.SUFFIXES:
.SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd

VERSION?=`git describe --long --tags --dirty 2>/dev/null || echo 0.8.2`
VPATH=doc
PREFIX?=/usr/local
BINDIR?=$(PREFIX)/bin
SHAREDIR?=$(PREFIX)/share/aerc
MANDIR?=$(PREFIX)/share/man
GO?=go
GOFLAGS?=
LDFLAGS+=-X main.Version=$(VERSION)

GOSRC:=$(shell find * -name '*.go')
GOSRC+=go.mod go.sum

DOCS := \
	aerc.1 \
	aerc-search.1 \
	aerc-config.5 \
	aerc-imap.5 \
	aerc-maildir.5 \
	aerc-sendmail.5 \
	aerc-notmuch.5 \
	aerc-smtp.5 \
	aerc-tutorial.7 \
	aerc-templates.7 \
	aerc-stylesets.7

all: aerc $(DOCS)

aerc: $(GOSRC)
	$(GO) build $(GOFLAGS) -ldflags "$(LDFLAGS)" -o $@

.PHONY: fmt
fmt:
	gofmt -w .

.PHONY: checkfmt
checkfmt:
	@if [ `gofmt -l . | wc -l` -ne 0 ]; then \
		gofmt -d .; \
		echo "ERROR: source files need reformatting with gofmt"; \
		exit 1; \
	fi

.PHONY: debug
debug: aerc.debug
	@echo 'Run `./aerc.debug` and use this command in another terminal to attach a debugger:'
	@echo '    dlv attach $$(pidof aerc.debug)'

aerc.debug: $(GOSRC)
	$(GO) build $(GOFLAGS) -gcflags=*=-N -gcflags=*=-l -ldflags="$(LDFLAGS)" -o aerc.debug

.1.scd.1:
	scdoc < $< > $@

.5.scd.5:
	scdoc < $< > $@

.7.scd.7:
	scdoc < $< > $@

doc: $(DOCS)

# Exists in GNUMake but not in NetBSD make and others.
RM?=rm -f

clean:
	$(RM) $(DOCS) aerc

install: $(DOCS) aerc
	mkdir -m755 -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man5 $(DESTDIR)$(MANDIR)/man7 \
		$(DESTDIR)$(SHAREDIR) $(DESTDIR)$(SHAREDIR)/filters $(DESTDIR)$(SHAREDIR)/templates $(DESTDIR)$(SHAREDIR)/stylesets \
		$(DESTDIR)$(PREFIX)/share/applications
	install -m755 aerc $(DESTDIR)$(BINDIR)/aerc
	install -m644 aerc.1 $(DESTDIR)$(MANDIR)/man1/aerc.1
	install -m644 aerc-search.1 $(DESTDIR)$(MANDIR)/man1/aerc-search.1
	install -m644 aerc-config.5 $(DESTDIR)$(MANDIR)/man5/aerc-config.5
	install -m644 aerc-imap.5 $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
	install -m644 aerc-maildir.5 $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
	install -m644 aerc-sendmail.5 $(DESTDIR)$(MANDIR)/man5/aerc-sendmail.5
	install -m644 aerc-notmuch.5 $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
	install -m644 aerc-smtp.5 $(DESTDIR)$(MANDIR)/man5/aerc-smtp.5
	install -m644 aerc-tutorial.7 $(DESTDIR)$(MANDIR)/man7/aerc-tutorial.7
	install -m644 aerc-templates.7 $(DESTDIR)$(MANDIR)/man7/aerc-templates.7
	install -m644 aerc-stylesets.7 $(DESTDIR)$(MANDIR)/man7/aerc-stylesets.7
	install -m644 config/accounts.conf $(DESTDIR)$(SHAREDIR)/accounts.conf
	install -m644 config/aerc.conf $(DESTDIR)$(SHAREDIR)/aerc.conf
	install -m644 config/binds.conf $(DESTDIR)$(SHAREDIR)/binds.conf
	install -m755 filters/colorize $(DESTDIR)$(SHAREDIR)/filters/colorize
	install -m755 filters/hldiff $(DESTDIR)$(SHAREDIR)/filters/hldiff
	install -m755 filters/html $(DESTDIR)$(SHAREDIR)/filters/html
	install -m755 filters/plaintext $(DESTDIR)$(SHAREDIR)/filters/plaintext
	install -m644 templates/new_message $(DESTDIR)$(SHAREDIR)/templates/new_message
	install -m644 templates/quoted_reply $(DESTDIR)$(SHAREDIR)/templates/quoted_reply
	install -m644 templates/forward_as_body $(DESTDIR)$(SHAREDIR)/templates/forward_as_body
	install -m644 config/default_styleset $(DESTDIR)$(SHAREDIR)/stylesets/default
	install -m644 contrib/aerc.desktop $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop

.PHONY: checkinstall
checkinstall:
	$(DESTDIR)$(BINDIR)/aerc -v
	test -e $(DESTDIR)$(MANDIR)/man1/aerc.1
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-config.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-sendmail.5
	test -e $(DESTDIR)$(MANDIR)/man5/aerc-smtp.5
	test -e $(DESTDIR)$(MANDIR)/man7/aerc-tutorial.7
	test -e $(DESTDIR)$(MANDIR)/man7/aerc-templates.7

RMDIR_IF_EMPTY:=sh -c '! [ -d $$0 ] || ls -1qA $$0 | grep -q . || rmdir $$0'

uninstall:
	$(RM) $(DESTDIR)$(BINDIR)/aerc
	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc.1
	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc-search.1
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-config.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-sendmail.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-smtp.5
	$(RM) $(DESTDIR)$(MANDIR)/man7/aerc-tutorial.7
	$(RM) $(DESTDIR)$(MANDIR)/man7/aerc-templates.7
	$(RM) $(DESTDIR)$(MANDIR)/man7/aerc-stylesets.7
	$(RM) -r $(DESTDIR)$(SHAREDIR)
	${RMDIR_IF_EMPTY} $(DESTDIR)$(BINDIR)
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)/man1
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)/man5
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)/man7
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(MANDIR)
	$(RM) $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop
	$(RMDIR_IF_EMPTY) $(DESTDIR)$(PREFIX)/share/applications

.PHONY: all doc clean install uninstall debug

=== debian/changelog ===
aerc (0.8.2-1ubuntu0.3) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update

 -- Allen Huang <allen.huang@canonical.com>  Fri, 15 Nov 2024 17:48:48 +0000

aerc (0.8.2-1ubuntu0.2) jammy-security; urgency=medium

  * No change build due to golang-1.18 update 

 -- Nishit Majithia <nishit.majithia@canonical.com>  Fri, 28 Apr 2023 12:57:21 +0530

aerc (0.8.2-1ubuntu0.1) jammy-security; urgency=medium

  * No-change rebuild for golang-golang-x-text

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Wed, 25 Jan 2023 14:22:39 +0100

aerc (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * d/rules: Override LDFLAGS from
    upstream, propagate debian-specific opts
  * d/rules: Add contrib/aerc.desktop to DH_INSTALL_EXTRA
  * Add patch to fix awk shebang in colorize script

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Feb 2022 00:48:08 +0530

aerc (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * Upstream started signing tags
    + Change d/watch to detect pgpmode
    + Add d/u/signing-key.asc to verify upstream signatures
  * Tighten B-D on golang-github-emersion-go-pgpmail-dev
  * Add B-D on golang-github-protonmail-go-crypto-dev
  * Drop use-x-crypto.diff: Use the protonmail crypto fork

 -- Nilesh Patra <nilesh@debian.org>  Sat, 15 Jan 2022 19:25:17 +0530

aerc (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * Change refs from sircmpwn => rjarry, update copyright,
    since the project development would be going on a fork
  * Drop d/p/backport-message-id.diff
  * Refresh use-x-crypto.diff
  * d/control: Update B-D

 -- Nilesh Patra <nilesh@debian.org>  Mon, 22 Nov 2021 20:07:24 +0530

aerc (0.5.2-2) unstable; urgency=medium

  * Suppress executable-not-elf-or-script warning.
  * d/control: Change section to mail. (Closes: #996819)

 -- Aloïs Micard <creekorful@debian.org>  Wed, 20 Oct 2021 09:08:52 +0200

aerc (0.5.2-1) unstable; urgency=medium

  [ Aloïs Micard ]
  * d/patches:
    - Write patch to use new version of golang-github-emersion-go-message-dev.
    - Write patch to use x-crypto instead of protonmail fork.
  * d/rules:
    - Install config/default_styleset.

  [ Nilesh Patra ]
  * New upstream version 0.5.2 (Closes: #981066, #989151)
  * Remove d/p/fix-installation-directories.diff for it has been fixed upstream
  * Add d/u/metadata
  * d/rules: s/make/$(MAKE)/g
  * d/control
    + Remove start with an article in Short Description
    + Bump debhelper compatibility level to 13
    + Bump Standards-Version to 4.6.0 (no changes needed)
    + Add Myself and Aloïs to Uploaders

 -- Nilesh Patra <nilesh@debian.org>  Thu, 26 Aug 2021 20:07:20 +0530

aerc (0.4.0-1) unstable; urgency=medium

  * Release 0.4.0

 -- Ben Fiedler <debian@services.bfiedler.ch>  Mon, 17 Aug 2020 22:41:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,30 @@
 Source: aerc
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
-Uploaders: Karthik <kskarthik@disroot.org>, Ben Fiedler <debian@services.bfiedler.ch>
-Section: devel
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Uploaders: Nilesh Patra <nilesh@debian.org>,
+           Aloïs Micard <creekorful@debian.org>
+Section: mail
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang,
                golang-any,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
-               golang-github-emersion-go-imap-dev,
+               golang-github-imdario-mergo-dev,
+               golang-github-emersion-go-imap-dev (>= 1.2.0~),
                golang-github-emersion-go-imap-idle-dev,
+               golang-github-emersion-go-imap-sortthread-dev,
                golang-github-emersion-go-maildir-dev,
-               golang-github-emersion-go-message-dev,
+               golang-github-emersion-go-message-dev (>= 0.11.1),
+               golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
-               golang-github-emersion-go-smtp-dev,
+               golang-github-emersion-go-smtp-dev (>= 0.12.1),
                golang-github-emersion-go-textwrapper-dev,
-               golang-github-gdamore-tcell-dev,
+               golang-github-gdamore-tcell.v2-dev,
                golang-github-fsnotify-fsnotify-dev,
-               golang-github-go-ini-ini-dev,
+               golang-github-go-ini-ini-dev (>= 1.52.0),
                golang-github-google-shlex-dev,
                golang-github-kyoh86-xdg-dev,
                golang-github-martinlindhe-base36-dev,
@@ -28,29 +33,30 @@
                golang-github-miolini-datacounter-dev,
                golang-github-mitchellh-go-homedir-dev,
                golang-github-pkg-errors-dev,
+               golang-github-protonmail-go-crypto-dev,
                golang-github-riywo-loginshell-dev,
                golang-github-stretchr-testify-dev,
                golang-github-zenhack-go.notmuch-dev,
                golang-golang-x-oauth2-google-dev,
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
-               scdoc,
-Standards-Version: 4.5.0
+               scdoc
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org
 Rules-Requires-Root: no
-XS-Go-Import-Path: git.sr.ht/~sircmpwn/aerc
+XS-Go-Import-Path: git.sr.ht/~rjarry/aerc
 
 Package: aerc
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: dante-client,
-            w3m,
+            w3m
 Suggests: notmuch
 Built-Using: ${misc:Built-Using}
-Description: The World's Best Email Client
+Description: World's Best Email Client
  Some of its more interesting features include:
   - Editing emails in an embedded terminal tmux-style, allowing you to check on
     incoming emails and reference other threads while you compose your replies

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk
export DH_GOLANG_INSTALL_EXTRA=config/default_styleset contrib/aerc.desktop

# Installation paths
export DESTDIR=$(CURDIR)/debian/aerc
export PREFIX=/usr

# Go options
export GO111MODULE=off
export GOPROXY=off
export GOCACHE=$(CURDIR)/_build/go-build
export GOPATH=$(CURDIR)/_build
export GOFLAGS=-tags=notmuch -buildmode=pie

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_configure:
	dh_auto_configure
	cp Makefile _build/src/git.sr.ht/~rjarry/aerc/
	cp -r doc filters templates _build/src/git.sr.ht/~rjarry/aerc/
	cp config/*.conf* _build/src/git.sr.ht/~rjarry/aerc/config/

override_dh_auto_build:
	cd _build/src/git.sr.ht/~rjarry/aerc && $(MAKE) LDFLAGS="-extldflags -Wl,-z,now -s -w -X 'main.Version=$(DEB_VERSION_UPSTREAM)'"


override_dh_auto_install:
	cd _build/src/git.sr.ht/~rjarry/aerc && $(MAKE) install

## aerc 0.11.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 .SUFFIXES:
 .SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd
 
-VERSION?=`git describe --long --tags --dirty 2>/dev/null || echo 0.8.2`
+VERSION!=git describe --long --tags --dirty 2>/dev/null || echo 0.11.0
 VPATH=doc
 PREFIX?=/usr/local
 BINDIR?=$(PREFIX)/bin
@@ -10,9 +10,14 @@
 MANDIR?=$(PREFIX)/share/man
 GO?=go
 GOFLAGS?=
-LDFLAGS+=-X main.Version=$(VERSION)
+BUILD_OPTS?=-trimpath
+# ignore environment variable
+GO_LDFLAGS:=
+GO_LDFLAGS+=-X main.Version=$(VERSION)
+GO_LDFLAGS+=-X git.sr.ht/~rjarry/aerc/config.shareDir=$(SHAREDIR)
+GO_LDFLAGS+=$(GO_EXTRA_LDFLAGS)
 
-GOSRC:=$(shell find * -name '*.go')
+GOSRC!=find * -name '*.go'
 GOSRC+=go.mod go.sum
 
 DOCS := \
@@ -30,20 +35,39 @@
 
 all: aerc $(DOCS)
 
-aerc: $(GOSRC)
-	$(GO) build $(GOFLAGS) -ldflags "$(LDFLAGS)" -o $@
+build_cmd:=$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o aerc
+
+# the following command outputs nothing, we only want to execute it once
+# and force .aerc.d to be regenerated when build_cmd has changed
+_!=grep -sqFx '$(build_cmd)' .aerc.d || rm -f .aerc.d
+
+.aerc.d:
+	@echo '$(build_cmd)' > $@
+
+aerc: $(GOSRC) .aerc.d
+	$(build_cmd)
+
+.PHONY: dev
+dev:
+	$(MAKE) aerc BUILD_OPTS="-trimpath -race"
+	GORACE="log_path=race.log strip_path_prefix=git.sr.ht/~rjarry/aerc/" ./aerc
 
 .PHONY: fmt
 fmt:
 	gofmt -w .
 
-.PHONY: checkfmt
-checkfmt:
-	@if [ `gofmt -l . | wc -l` -ne 0 ]; then \
+.PHONY: lint
+lint:
+	@echo "gofmt -d ."; if [ `gofmt -l . | wc -l` -ne 0 ]; then \
 		gofmt -d .; \
 		echo "ERROR: source files need reformatting with gofmt"; \
 		exit 1; \
 	fi
+	$(GO) vet ./...
+
+.PHONY: tests
+tests:
+	$(GO) test $(GOFLAGS) -v ./...
 
 .PHONY: debug
 debug: aerc.debug
@@ -51,7 +75,7 @@
 	@echo '    dlv attach $$(pidof aerc.debug)'
 
 aerc.debug: $(GOSRC)
-	$(GO) build $(GOFLAGS) -gcflags=*=-N -gcflags=*=-l -ldflags="$(LDFLAGS)" -o aerc.debug
+	$(GO) build $(GOFLAGS) -gcflags=*=-N -gcflags=*=-l -ldflags="$(GO_LDFLAGS)" -o aerc.debug
 
 .1.scd.1:
 	scdoc < $< > $@
@@ -89,10 +113,13 @@
 	install -m644 config/accounts.conf $(DESTDIR)$(SHAREDIR)/accounts.conf
 	install -m644 config/aerc.conf $(DESTDIR)$(SHAREDIR)/aerc.conf
 	install -m644 config/binds.conf $(DESTDIR)$(SHAREDIR)/binds.conf
+	install -m755 filters/calendar $(DESTDIR)$(SHAREDIR)/filters/calendar
 	install -m755 filters/colorize $(DESTDIR)$(SHAREDIR)/filters/colorize
 	install -m755 filters/hldiff $(DESTDIR)$(SHAREDIR)/filters/hldiff
 	install -m755 filters/html $(DESTDIR)$(SHAREDIR)/filters/html
+	install -m755 filters/html-unsafe $(DESTDIR)$(SHAREDIR)/filters/html-unsafe
 	install -m755 filters/plaintext $(DESTDIR)$(SHAREDIR)/filters/plaintext
+	install -m755 filters/show-ics-details.py $(DESTDIR)$(SHAREDIR)/filters/show-ics-details.py
 	install -m644 templates/new_message $(DESTDIR)$(SHAREDIR)/templates/new_message
 	install -m644 templates/quoted_reply $(DESTDIR)$(SHAREDIR)/templates/quoted_reply
 	install -m644 templates/forward_as_body $(DESTDIR)$(SHAREDIR)/templates/forward_as_body

=== debian/changelog ===
aerc (0.11.0-1ubuntu0.1) kinetic-security; urgency=medium

  * No-change rebuild for golang-golang-x-text 

 -- Eduardo Barretto <eduardo.barretto@canonical.com>  Thu, 09 Feb 2023 17:49:05 +0100

aerc (0.11.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Use DEB_VERSION_UPSTREAM instead of parsing from d/ch
  * Disable reprotest in d/gitlab-ci.yml

  [ Robin Jarry ]
  * d/rules: force version from changelog
  * d/patches: remove disable-beep.diff
  * New upstream version 0.11.0
  * d/patches: remove upstreamed patch
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Fri, 15 Jul 2022 22:18:07 +0530

aerc (0.10.0-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * New upstream version 0.10.0
  * Remove d/p/do-not-append-ldflags.diff: Upstream adapted w/ our buildsystem
  * Do not install show-ics-details.py
  * Update d/gitlab-ci.yml: aerc is a leaf package and
    would not break anything, use default gitlab-ci
  * d/rules: Set GNUPGHOME to attempt fix build failure

  [ Robin Jarry ]
  * d/control: add build-dependency and recommends on gnupg

 -- Nilesh Patra <nilesh@debian.org>  Mon, 09 May 2022 22:58:53 +0000

aerc (0.9.0-1) unstable; urgency=medium

  * New upstream version 0.9.0
  * d/control: Update short description
  * Add B-D on golang-github-gatherstars-com-jwz-dev,
    golang-github-lithammer-fuzzysearch-dev and golang-github-xo-terminfo-dev
  * Add patch to not append to ldflags, rather initialize
    it so as to override when needed

 -- Nilesh Patra <nilesh@debian.org>  Wed, 23 Mar 2022 19:01:04 +0530

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,16 @@
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
+           Robin Jarry <robin@jarry.cc>,
            Aloïs Micard <creekorful@debian.org>
 Section: mail
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
+               gnupg,
                golang-any,
+               golang-github-arran4-golang-ical-dev,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
@@ -18,15 +21,18 @@
                golang-github-emersion-go-imap-sortthread-dev,
                golang-github-emersion-go-maildir-dev,
                golang-github-emersion-go-message-dev (>= 0.11.1),
+               golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
                golang-github-emersion-go-smtp-dev (>= 0.12.1),
                golang-github-emersion-go-textwrapper-dev,
                golang-github-gdamore-tcell.v2-dev,
                golang-github-fsnotify-fsnotify-dev,
+               golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
                golang-github-google-shlex-dev,
                golang-github-kyoh86-xdg-dev,
+               golang-github-lithammer-fuzzysearch-dev,
                golang-github-martinlindhe-base36-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
@@ -36,7 +42,9 @@
                golang-github-protonmail-go-crypto-dev,
                golang-github-riywo-loginshell-dev,
                golang-github-stretchr-testify-dev,
+               golang-github-syndtr-goleveldb-dev,
                golang-github-zenhack-go.notmuch-dev,
+               golang-github-xo-terminfo-dev,
                golang-golang-x-oauth2-google-dev,
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
@@ -53,10 +61,11 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Recommends: dante-client,
+            gnupg,
             w3m
 Suggests: notmuch
 Built-Using: ${misc:Built-Using}
-Description: World's Best Email Client
+Description: Pretty Good Email Client
  Some of its more interesting features include:
   - Editing emails in an embedded terminal tmux-style, allowing you to check on
     incoming emails and reference other threads while you compose your replies

=== debian/rules ===
--- 
+++ 
@@ -24,8 +24,14 @@
 	cp config/*.conf* _build/src/git.sr.ht/~rjarry/aerc/config/
 
 override_dh_auto_build:
-	cd _build/src/git.sr.ht/~rjarry/aerc && $(MAKE) LDFLAGS="-extldflags -Wl,-z,now -s -w -X 'main.Version=$(DEB_VERSION_UPSTREAM)'"
+	$(MAKE) -C _build/src/git.sr.ht/~rjarry/aerc VERSION=$(DEB_VERSION_UPSTREAM)
 
+override_dh_auto_test:
+	mkdir -p debian/test-gnupg
+	chmod og-rx debian/test-gnupg
+	GNUPGHOME=${CURDIR}/debian/test-gnupg dh_auto_test
+	rm -rf debian/test-gnupg
 
 override_dh_auto_install:
-	cd _build/src/git.sr.ht/~rjarry/aerc && $(MAKE) install
+	$(MAKE) -C_build/src/git.sr.ht/~rjarry/aerc install VERSION=$(DEB_VERSION_UPSTREAM)
+	find $(DESTDIR) -name show-ics-details.py -delete

## aerc 0.12.0

=== debian/changelog ===
aerc (0.12.0-1) unstable; urgency=medium

  * New upstream version 0.12.0

 -- Robin Jarry <robin@jarry.cc>  Thu, 01 Sep 2022 10:54:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: aerc
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Nilesh Patra <nilesh@debian.org>,
            Robin Jarry <robin@jarry.cc>,
            Aloïs Micard <creekorful@debian.org>
@@ -10,22 +9,21 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang,
                gnupg,
-               golang-any,
+               golang-any (>= 1.16),
                golang-github-arran4-golang-ical-dev,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
                golang-github-imdario-mergo-dev,
                golang-github-emersion-go-imap-dev (>= 1.2.0~),
-               golang-github-emersion-go-imap-idle-dev,
                golang-github-emersion-go-imap-sortthread-dev,
                golang-github-emersion-go-maildir-dev,
+               golang-github-emersion-go-mbox-dev,
                golang-github-emersion-go-message-dev (>= 0.11.1),
                golang-github-emersion-go-msgauth-dev,
                golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
                golang-github-emersion-go-smtp-dev (>= 0.12.1),
-               golang-github-emersion-go-textwrapper-dev,
                golang-github-gdamore-tcell.v2-dev,
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
@@ -33,7 +31,6 @@
                golang-github-google-shlex-dev,
                golang-github-kyoh86-xdg-dev,
                golang-github-lithammer-fuzzysearch-dev,
-               golang-github-martinlindhe-base36-dev,
                golang-github-mattn-go-isatty-dev,
                golang-github-mattn-go-runewidth-dev,
                golang-github-miolini-datacounter-dev,
@@ -49,7 +46,7 @@
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
                scdoc
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/aerc
 Vcs-Git: https://salsa.debian.org/go-team/packages/aerc.git
 Homepage: https://aerc-mail.org

## aerc 0.13.0

=== debian/changelog ===
aerc (0.13.0-1) unstable; urgency=medium

  * New upstream version 0.13.0
  * d/control: update dependencies

 -- Robin Jarry <robin@jarry.cc>  Thu, 20 Oct 2022 20:59:13 +0000

## aerc 0.14.0

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 .SUFFIXES:
 .SUFFIXES: .1 .5 .7 .1.scd .5.scd .7.scd
 
-VERSION!=git describe --long --tags --dirty 2>/dev/null || echo 0.11.0
+VERSION!=git describe --long --abbrev=12 --tags --dirty 2>/dev/null || echo 0.14.0
 VPATH=doc
 PREFIX?=/usr/local
 BINDIR?=$(PREFIX)/bin
@@ -11,18 +11,22 @@
 GO?=go
 GOFLAGS?=
 BUILD_OPTS?=-trimpath
+flags!=echo -- $(GOFLAGS) | base64 | tr -d '\n'
 # ignore environment variable
 GO_LDFLAGS:=
 GO_LDFLAGS+=-X main.Version=$(VERSION)
+GO_LDFLAGS+=-X main.Flags=$(flags)
 GO_LDFLAGS+=-X git.sr.ht/~rjarry/aerc/config.shareDir=$(SHAREDIR)
 GO_LDFLAGS+=$(GO_EXTRA_LDFLAGS)
 
-GOSRC!=find * -name '*.go'
+GOSRC!=find * -name '*.go' | grep -v filters/wrap.go
 GOSRC+=go.mod go.sum
 
 DOCS := \
 	aerc.1 \
 	aerc-search.1 \
+	aerc-accounts.5 \
+	aerc-binds.5 \
 	aerc-config.5 \
 	aerc-imap.5 \
 	aerc-maildir.5 \
@@ -33,7 +37,7 @@
 	aerc-templates.7 \
 	aerc-stylesets.7
 
-all: aerc $(DOCS)
+all: aerc wrap $(DOCS)
 
 build_cmd:=$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_LDFLAGS)" -o aerc
 
@@ -42,10 +46,15 @@
 _!=grep -sqFx '$(build_cmd)' .aerc.d || rm -f .aerc.d
 
 .aerc.d:
+	@echo 'GOFLAGS have changed, recompiling'
 	@echo '$(build_cmd)' > $@
 
 aerc: $(GOSRC) .aerc.d
 	$(build_cmd)
+
+wrap: filters/wrap.go .aerc.d
+	$(GO) build $(BUILD_OPTS) $(GOFLAGS) -ldflags "$(GO_EXTRA_LDFLAGS)" \
+		-o wrap filters/wrap.go
 
 .PHONY: dev
 dev:
@@ -54,20 +63,23 @@
 
 .PHONY: fmt
 fmt:
-	gofmt -w .
+	$(GO) run mvdan.cc/gofumpt -w .
 
 .PHONY: lint
 lint:
-	@echo "gofmt -d ."; if [ `gofmt -l . | wc -l` -ne 0 ]; then \
-		gofmt -d .; \
-		echo "ERROR: source files need reformatting with gofmt"; \
-		exit 1; \
-	fi
-	$(GO) vet ./...
+	@contrib/check-whitespace `git ls-files` && echo white space ok.
+	@$(GO) run mvdan.cc/gofumpt -d . | grep ^ \
+		&& echo The above files need to be formatted, please run make fmt && exit 1 \
+		|| echo all files formatted.
+	$(GO) run github.com/golangci/golangci-lint/cmd/golangci-lint run
+
+.PHONY: vulncheck
+vulncheck:
+	$(GO) run golang.org/x/vuln/cmd/govulncheck@latest ./...
 
 .PHONY: tests
 tests:
-	$(GO) test $(GOFLAGS) -v ./...
+	$(GO) test $(GOFLAGS) ./...
 
 .PHONY: debug
 debug: aerc.debug
@@ -94,13 +106,15 @@
 clean:
 	$(RM) $(DOCS) aerc
 
-install: $(DOCS) aerc
+install: $(DOCS) aerc wrap
 	mkdir -m755 -p $(DESTDIR)$(BINDIR) $(DESTDIR)$(MANDIR)/man1 $(DESTDIR)$(MANDIR)/man5 $(DESTDIR)$(MANDIR)/man7 \
 		$(DESTDIR)$(SHAREDIR) $(DESTDIR)$(SHAREDIR)/filters $(DESTDIR)$(SHAREDIR)/templates $(DESTDIR)$(SHAREDIR)/stylesets \
 		$(DESTDIR)$(PREFIX)/share/applications
 	install -m755 aerc $(DESTDIR)$(BINDIR)/aerc
 	install -m644 aerc.1 $(DESTDIR)$(MANDIR)/man1/aerc.1
 	install -m644 aerc-search.1 $(DESTDIR)$(MANDIR)/man1/aerc-search.1
+	install -m644 aerc-accounts.5 $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
+	install -m644 aerc-binds.5 $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
 	install -m644 aerc-config.5 $(DESTDIR)$(MANDIR)/man5/aerc-config.5
 	install -m644 aerc-imap.5 $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
 	install -m644 aerc-maildir.5 $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
@@ -120,16 +134,23 @@
 	install -m755 filters/html-unsafe $(DESTDIR)$(SHAREDIR)/filters/html-unsafe
 	install -m755 filters/plaintext $(DESTDIR)$(SHAREDIR)/filters/plaintext
 	install -m755 filters/show-ics-details.py $(DESTDIR)$(SHAREDIR)/filters/show-ics-details.py
+	install -m755 wrap $(DESTDIR)$(SHAREDIR)/filters/wrap
 	install -m644 templates/new_message $(DESTDIR)$(SHAREDIR)/templates/new_message
 	install -m644 templates/quoted_reply $(DESTDIR)$(SHAREDIR)/templates/quoted_reply
 	install -m644 templates/forward_as_body $(DESTDIR)$(SHAREDIR)/templates/forward_as_body
-	install -m644 config/default_styleset $(DESTDIR)$(SHAREDIR)/stylesets/default
+	install -m644 stylesets/default $(DESTDIR)$(SHAREDIR)/stylesets/default
+	install -m644 stylesets/dracula $(DESTDIR)$(SHAREDIR)/stylesets/dracula
+	install -m644 stylesets/nord $(DESTDIR)$(SHAREDIR)/stylesets/nord
+	install -m644 stylesets/pink $(DESTDIR)$(SHAREDIR)/stylesets/pink
+	install -m644 stylesets/blue $(DESTDIR)$(SHAREDIR)/stylesets/blue
 	install -m644 contrib/aerc.desktop $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop
 
 .PHONY: checkinstall
 checkinstall:
 	$(DESTDIR)$(BINDIR)/aerc -v
 	test -e $(DESTDIR)$(MANDIR)/man1/aerc.1
+	test -e $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
+	test -e $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
 	test -e $(DESTDIR)$(MANDIR)/man5/aerc-config.5
 	test -e $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
 	test -e $(DESTDIR)$(MANDIR)/man5/aerc-notmuch.5
@@ -144,6 +165,8 @@
 	$(RM) $(DESTDIR)$(BINDIR)/aerc
 	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc.1
 	$(RM) $(DESTDIR)$(MANDIR)/man1/aerc-search.1
+	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-accounts.5
+	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-binds.5
 	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-config.5
 	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-imap.5
 	$(RM) $(DESTDIR)$(MANDIR)/man5/aerc-maildir.5
@@ -162,4 +185,16 @@
 	$(RM) $(DESTDIR)$(PREFIX)/share/applications/aerc.desktop
 	$(RMDIR_IF_EMPTY) $(DESTDIR)$(PREFIX)/share/applications
 
+.PHONY: gitconfig
+gitconfig:
+	git config format.subjectPrefix "PATCH aerc"
+	git config sendemail.to "~rjarry/aerc-devel@lists.sr.ht"
+	git config sendemail.validate true
+	@mkdir -p .git/hooks
+	ln -sf ../../contrib/sendemail-validate .git/hooks/sendemail-validate
+
+.PHONY: check-patches
+check-patches:
+	@contrib/check-patches origin/master..
+
 .PHONY: all doc clean install uninstall debug

=== debian/changelog ===
aerc (0.14.0-1) unstable; urgency=medium

  * New upstream version 0.14.0

 -- Robin Jarry <robin@jarry.cc>  Fri, 06 Jan 2023 23:47:31 +0100

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,6 @@
                golang-any (>= 1.16),
                golang-github-arran4-golang-ical-dev,
                golang-github-danwakefield-fnmatch-dev,
-               golang-github-ddevault-go-libvterm-dev,
                golang-github-creack-pty-dev,
                golang-github-imdario-mergo-dev,
                golang-github-emersion-go-imap-dev (>= 1.2.0~),
@@ -24,7 +23,7 @@
                golang-github-emersion-go-pgpmail-dev (>= 0.2.0-1~),
                golang-github-emersion-go-sasl-dev,
                golang-github-emersion-go-smtp-dev (>= 0.12.1),
-               golang-github-gdamore-tcell.v2-dev,
+               golang-github-gdamore-tcell.v2-dev (>= 2.5.3),
                golang-github-fsnotify-fsnotify-dev,
                golang-github-gatherstars-com-jwz-dev,
                golang-github-go-ini-ini-dev (>= 1.52.0),
@@ -43,6 +42,7 @@
                golang-github-zenhack-go.notmuch-dev,
                golang-github-xo-terminfo-dev,
                golang-golang-x-oauth2-google-dev,
+               golang-sourcehut-rockorager-tcell-term-dev (>= 0.3.0),
                golang-sourcehut-sircmpwn-getopt-dev,
                libnotmuch-dev,
                scdoc

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

# Extra files required for build
DH_GOLANG_INSTALL_EXTRA += Makefile
DH_GOLANG_INSTALL_EXTRA += config
DH_GOLANG_INSTALL_EXTRA += contrib/aerc.desktop
DH_GOLANG_INSTALL_EXTRA += doc
DH_GOLANG_INSTALL_EXTRA += filters
DH_GOLANG_INSTALL_EXTRA += stylesets
DH_GOLANG_INSTALL_EXTRA += templates
export DH_GOLANG_INSTALL_EXTRA

# Installation paths
export DESTDIR=$(CURDIR)/debian/aerc
export PREFIX=/usr

# Go options
export GO111MODULE=off
export GOPROXY=off
export GOCACHE=$(CURDIR)/_build/go-build
export GOPATH=$(CURDIR)/_build
export GOFLAGS=-tags=notmuch -buildmode=pie

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

override_dh_auto_build:
	$(MAKE) -C _build/src/git.sr.ht/~rjarry/aerc VERSION=$(DEB_VERSION_UPSTREAM)

override_dh_auto_test:
	mkdir -p debian/test-gnupg
	chmod og-rx debian/test-gnupg
	GNUPGHOME=${CURDIR}/debian/test-gnupg dh_auto_test
	rm -rf debian/test-gnupg

override_dh_auto_install:
	$(MAKE) -C_build/src/git.sr.ht/~rjarry/aerc install VERSION=$(DEB_VERSION_UPSTREAM)
	find $(DESTDIR) -name show-ics-details.py -delete
	mkdir -p $(DESTDIR)/usr/libexec/aerc
	mv $(DESTDIR)/usr/share/aerc/filters/wrap $(DESTDIR)/usr/libexec/aerc
	ln -s ../../../libexec/aerc/wrap $(DESTDIR)/usr/share/aerc/filters/wrap
